<template>
  <div class="app-container">
    <el-table v-loading="loading" :data="expertList">
      <el-table-column label="月份" align="center" prop="month" />
      <el-table-column label="平台名称" align="center" prop="institutionName" />
      <el-table-column label="上月题库总题目数" align="center" prop="lastMonthCount" />
      <el-table-column label="新增题目数量" align="center" prop="addCount" />
      <el-table-column label="减少题目数" align="center" prop="reduceCount" />
      <el-table-column label="刷题应用率" align="center" prop="brushRate" />
      <el-table-column label="组卷应用率" align="center" prop="assemblyRate" />
      <el-table-column label="上报时间" align="center" prop="createTime" />
      <el-table-column label="组卷预览" align="center" class-name="small-padding fixed-width">
        <template #default="scope">
          <el-button
            size="mini"
            type="text"
            style="color: #1890ff"
            @click="handleView(scope.row.url)"
          >点击预览</el-button>
        </template>
      </el-table-column>
    </el-table>
    <pagination
      v-show="total>0"
      :total="total"
      :page.sync="queryParams.pageNum"
      :limit.sync="queryParams.pageSize"
      @pagination="getList"
    />
  </div>
</template>

<script>
import { listQuestion } from '@/api/onlineEducation/student'

export default {
  name: "nPeopleManage",
  dicts: [],
  components: {},
  data() {
    return {
      loading: false,
      single: true,
      multiple: true,
      showSearch: true,
      addForm: false,
      total: 0,
      expertTypes: [],
      expertList: [],
      queryParams: {
        pageNum: 1,
        pageSize: 10,
      },
    };
  },
  created() {
    this.getList();
  },
  methods: {
    getList(){
      this.loading = true;
      listQuestion( this.queryParams).then((res) => {
        if (res.code == 200) {
          this.expertList = res.rows.map(item => {
            return {
              ...item,
              brushRate: item.brushRate + '%',
              assemblyRate: item.assemblyRate + '%'
            }
          })
          this.total = res.total
          this.loading = false;
        }
      })
    },
    handleChange(){

    },
    handleQuery(){

    },
    resetQuery(){

    },
    handleView(url){
      window.open(url,'_blank')
    }
  }
};
</script>
